MS05-047: Plug and Play Remote Code Execution and Local Privilege Elevation (905749) (uncredentialed check)

Critical Nessus Plugin ID 21193


A flaw in the Plug and Play service may allow an authenticated attacker to execute arbitrary code on the remote host and, therefore, elevate his privileges.


The remote host contains a version of the Plug and Play service that contains a vulnerability in the way it handles user-supplied data.

An authenticated attacker may exploit this flaw by sending a malformed RPC request to the remote service and execute code with SYSTEM privileges.

Note that authentication is not required against Windows 2000 if the MS05-039 patch is missing.


Microsoft has released a set of patches for Windows 2000 and XP.

See Also

Plugin Details

Severity: Critical

ID: 21193

File Name: smb_kb905749.nasl

Version: $Revision: 1.27 $

Type: local

Agent: windows

Family: Windows

Published: 2007/03/12

Modified: 2017/08/30

Dependencies: 10394, 10785

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: Host/OS/smb

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2005/10/11

Vulnerability Publication Date: 2005/10/12

Exploitable With

Core Impact

Reference Information

CVE: CVE-2005-2120

BID: 15065

OSVDB: 18830

MSFT: MS05-047

MSKB: 905749